<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisaPortfolio StructType
 * @subpackage Structs
 */
class VisaPortfolio extends AbstractStructBase
{
    /**
     * The VisaPortfolioRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaPortfolioRQ
     */
    public $VisaPortfolioRQ;
    /**
     * Constructor method for VisaPortfolio
     * @uses VisaPortfolio::setVisaPortfolioRQ()
     * @param \StructType\JP_VisaPortfolioRQ $visaPortfolioRQ
     */
    public function __construct(\StructType\JP_VisaPortfolioRQ $visaPortfolioRQ = null)
    {
        $this
            ->setVisaPortfolioRQ($visaPortfolioRQ);
    }
    /**
     * Get VisaPortfolioRQ value
     * @return \StructType\JP_VisaPortfolioRQ|null
     */
    public function getVisaPortfolioRQ()
    {
        return $this->VisaPortfolioRQ;
    }
    /**
     * Set VisaPortfolioRQ value
     * @param \StructType\JP_VisaPortfolioRQ $visaPortfolioRQ
     * @return \StructType\VisaPortfolio
     */
    public function setVisaPortfolioRQ(\StructType\JP_VisaPortfolioRQ $visaPortfolioRQ = null)
    {
        $this->VisaPortfolioRQ = $visaPortfolioRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VisaPortfolio
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
